
#ifndef __SymbolTable_h
#define __SymbolTable_h

#include "Object.h"

#define CAPACITY 100

class SymbolTable {
public:
  Object *put(const char *name, Object var);
  Object *get(const char *name);
  Object *lookup_or_create(const char *name);
  void clear();

  /*
   * Lists all variables to stdout.
   * Should return an enumeration instead...
   */
  void lvar();

private:
  int size;
  char *names[CAPACITY];
  Object objects[CAPACITY];

  int search(const char *name);
};

#endif
